---
updatedAt: 2026-05-29T19:26:10.000Z
agentTools:
  projectIndex: https://docs.censys.com/llms.txt
---

# Retrieve multiple certificates in PEM format

Retrieve the raw PEM-encoded format for multiple certificates. A certificate ID is its SHA-256 fingerprint in the Censys dataset.<br><br>The GET method of this endpoint is deprecated, but will continue to be supported for backwards compatibility. Please use the [POST variant](https://docs.censys.com/reference/v3-globaldata-asset-certificate-list-raw-post#/) of this endpoint instead.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "AuthenticationError": {
        "additionalProperties": false,
        "properties": {
          "error": {
            "$ref": "#/components/schemas/AuthenticationErrorDetail",
            "description": "Detailed information about the authentication error"
          }
        },
        "type": "object"
      },
      "AuthenticationErrorDetail": {
        "additionalProperties": false,
        "properties": {
          "code": {
            "description": "HTTP status code",
            "examples": [
              401
            ],
            "format": "int64",
            "type": "integer"
          },
          "message": {
            "description": "Human-readable message describing the error occurrence",
            "examples": [
              "Access credentials are invalid"
            ],
            "type": "string"
          },
          "reason": {
            "description": "Human-readable explanation of the underlying cause of the error",
            "examples": [
              "Access token is not active"
            ],
            "type": "string"
          },
          "request": {
            "type": "string"
          },
          "status": {
            "description": "HTTP status message associated with the error",
            "examples": [
              "Unauthorized"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorDetail": {
        "additionalProperties": false,
        "properties": {
          "location": {
            "description": "Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'",
            "type": "string"
          },
          "message": {
            "description": "Error message text",
            "type": "string"
          },
          "value": {
            "description": "The value at the given location"
          }
        },
        "type": "object"
      },
      "ErrorModel": {
        "additionalProperties": false,
        "properties": {
          "detail": {
            "description": "A human-readable explanation specific to this occurrence of the problem.",
            "examples": [
              "Property foo is required but is missing."
            ],
            "type": "string"
          },
          "errors": {
            "description": "Optional list of individual error details",
            "items": {
              "$ref": "#/components/schemas/ErrorDetail"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "instance": {
            "description": "A URI reference that identifies the specific occurrence of the problem.",
            "examples": [
              "https://example.com/error-log/abc123"
            ],
            "format": "uri",
            "type": "string"
          },
          "status": {
            "description": "HTTP status code",
            "examples": [
              400
            ],
            "format": "int64",
            "type": "integer"
          },
          "title": {
            "description": "A short, human-readable summary of the problem type. This value should not change between occurrences of the error.",
            "examples": [
              "Bad Request"
            ],
            "type": "string"
          },
          "type": {
            "default": "about:blank",
            "description": "A URI reference to human-readable documentation for the error.",
            "examples": [
              "https://example.com/errors/example"
            ],
            "format": "uri",
            "type": "string"
          }
        },
        "type": "object"
      },
      "RawCertificateResponse": {
        "additionalProperties": false,
        "properties": {
          "certificate_id": {
            "type": "string"
          },
          "pem": {
            "type": "string"
          }
        },
        "required": [
          "certificate_id",
          "pem"
        ],
        "type": "object"
      },
      "ResponseEnvelopeListRawCertificateResponse": {
        "additionalProperties": false,
        "properties": {
          "result": {
            "items": {
              "$ref": "#/components/schemas/RawCertificateResponse"
            },
            "type": [
              "array",
              "null"
            ]
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "PersonalAccessToken": {
        "description": "Your Censys personal access token. These are managed in your [Account Settings](https://accounts.censys.io/settings/personal-access-tokens)",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "contact": {
      "email": "support@censys.com",
      "name": "Censys Inc.",
      "url": "https://censys.com"
    },
    "title": "Censys Platform API",
    "version": "1.0.151"
  },
  "openapi": "3.1.0",
  "paths": {
    "/v3/global/asset/certificate/raw": {
      "get": {
        "deprecated": true,
        "description": "Retrieve the raw PEM-encoded format for multiple certificates. A certificate ID is its SHA-256 fingerprint in the Censys dataset.<br><br>The GET method of this endpoint is deprecated, but will continue to be supported for backwards compatibility. Please use the [POST variant](https://docs.censys.com/reference/v3-globaldata-asset-certificate-list-raw-post#/) of this endpoint instead.",
        "operationId": "v3-globaldata-asset-certificate-list-raw",
        "parameters": [
          {
            "description": "The ID of a Censys organization to associate the request with. If omitted, the request will be processed using the authenticated user's free wallet where applicable. See the [Getting Started docs](https://docs.censys.com/reference/get-started#step-3-find-and-use-your-organization-id-optional) for more information.",
            "explode": false,
            "in": "query",
            "name": "organization_id",
            "schema": {
              "description": "The ID of a Censys organization to associate the request with. If omitted, the request will be processed using the authenticated user's free wallet where applicable. See the [Getting Started docs](https://docs.censys.com/reference/get-started#step-3-find-and-use-your-organization-id-optional) for more information.",
              "examples": [
                "11111111-2222-3333-4444-555555555555"
              ],
              "format": "uuid",
              "type": "string"
            }
          },
          {
            "description": "The ID of a Censys organization to associate the request with. If omitted, the request will be processed using the authenticated user's free wallet where applicable. See the [Getting Started docs](https://docs.censys.com/reference/get-started#step-3-find-and-use-your-organization-id-optional) for more information. Note: The header parameter is supported for atypical use cases; we recommend always providing this field via the query parameter.",
            "in": "header",
            "name": "X-Organization-ID",
            "schema": {
              "description": "The ID of a Censys organization to associate the request with. If omitted, the request will be processed using the authenticated user's free wallet where applicable. See the [Getting Started docs](https://docs.censys.com/reference/get-started#step-3-find-and-use-your-organization-id-optional) for more information. Note: The header parameter is supported for atypical use cases; we recommend always providing this field via the query parameter.",
              "examples": [
                "11111111-2222-3333-4444-555555555555"
              ],
              "format": "uuid",
              "type": "string"
            },
            "x-speakeasy-ignore": true
          },
          {
            "description": "A list of SHA-256 certificate fingerprints.",
            "explode": false,
            "in": "query",
            "name": "certificate_ids",
            "required": true,
            "schema": {
              "description": "A list of SHA-256 certificate fingerprints.",
              "examples": [
                [
                  "3daf2843a77b6f4e6af43cd9b6f6746053b8c928e056e8a724808db8905a94cf"
                ]
              ],
              "items": {
                "type": "string"
              },
              "maxItems": 1000,
              "minItems": 1,
              "type": [
                "array",
                "null"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseEnvelopeListRawCertificateResponse"
                }
              }
            },
            "description": "OK",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string"
                }
              },
              "X-Request-ID": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                }
              }
            },
            "description": "Bad request"
          },
          "401": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AuthenticationError"
                }
              }
            },
            "description": "Request does not contain a valid Authorization token"
          },
          "403": {
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                }
              }
            },
            "description": "User does not have permission to access this data"
          },
          "404": {
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                }
              }
            },
            "description": "No certificates found"
          },
          "500": {
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorModel"
                }
              }
            },
            "description": "Internal server error"
          }
        },
        "security": [
          {
            "PersonalAccessToken": []
          }
        ],
        "summary": "Retrieve multiple certificates in PEM format",
        "tags": [
          "Global Data"
        ],
        "x-speakeasy-ignore": true
      }
    }
  },
  "servers": [
    {
      "description": "The Censys Platform API",
      "url": "https://api.platform.censys.io"
    }
  ],
  "tags": [
    {
      "description": "Endpoints related to the Global Data product",
      "name": "Global Data"
    }
  ],
  "x-readme": {
    "parameter-ordering": [
      "path",
      "body",
      "query",
      "cookie",
      "form",
      "header"
    ],
    "samples-languages": [
      "shell",
      "python",
      "go",
      "javascript",
      "java"
    ]
  },
  "x-speakeasy-globals": {
    "parameters": [
      {
        "in": "query",
        "name": "organization_id",
        "schema": {
          "type": "string"
        }
      }
    ]
  }
}
```